## org.eclipse.datatools.connectivity.ui.wizards
Class NewConnectionProfileWizard

    java.lang.Object
      BaseWizard
          org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard

All Implemented Interfaces:
  ICPWizard

Direct Known Subclasses:
  ExtensibleNewConnectionProfileWizard, NewConnectionProfileWizard

    public abstract class NewConnectionProfileWizard

extends BaseWizard
implements ICPWizard

Base connection profile wizard

Author:
  shongxum

Nested Class Summary
`static interface` `NewConnectionProfileWizard.IFinishTask` Delegation of the wizard's performFinish task.

Constructor Summary
`NewConnectionProfileWizard()`

Method Summary
`abstract void` `addCustomPages()` Clients needs to add their customized pages here
`void` `addPages()`
`void` `createPageControls(Composite pageContainer)`
`void` `delegatesTask(NewConnectionProfileWizard.IFinishTask task)`
`IContext` `getContext(java.lang.Object target)`
`int` `getContextChangeMask()`
`java.lang.String` `getParentProfile()` Clients may override this method to return the real parent profile
`java.lang.String` `getProfileDescription()`
`boolean` `getProfileIsAutoConnect()`
`java.lang.String` `getProfileName()`
`NewConnectionProfileWizardPage` `getProfilePage()`
`abstract java.util.Properties` `getProfileProperties()` Clients need provide implementation to get extra profile properties
`java.lang.String` `getProfileProviderID()`
`java.lang.String` `getSearchExpression(java.lang.Object target)`
`java.util.List` `getSummaryData()`
`void` `init(IWorkbench workbench, IStructuredSelection selection)`
`void` `initProviderID(java.lang.String providerID)`
`boolean` `isFinished()`
`boolean` `isProfileNamePageSkippable()`
`boolean` `performFinish()` Clients need to make "return super.performFinish" as the last line of their code if they want to override this method
`void` `setParentProfile(IConnectionProfile profile)`
`void` `setProfileDescription(java.lang.String desc)`
`void` `setProfileName(java.lang.String name)`
`void` `setProfileNameAndDescription()`
`void` `setSkipProfileNamePage(boolean skippable)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewConnectionProfileWizard

    public NewConnectionProfileWizard()

Method Detail

### performFinish

    public boolean performFinish()

  Clients need to make "return super.performFinish" as the last line of their code if they want to override this method

  See Also:
    `Wizard#performFinish`

### isFinished

    public boolean isFinished()

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  See Also:
    `Wizard#init`

### initProviderID

    public void initProviderID(java.lang.String providerID)

  Specified by:
    `initProviderID` in interface `ICPWizard`
  See Also:
    `org.eclipse.datatools.connectivity.ui.wizards.ICPWizard#setProviderID(java.lang.String)`

### addCustomPages

    public abstract void addCustomPages()

  Clients needs to add their customized pages here

### setProfileNameAndDescription

    public void setProfileNameAndDescription()

### getSummaryData

    public java.util.List getSummaryData()

### getProfileProviderID

    public java.lang.String getProfileProviderID()

### getProfileName

    public java.lang.String getProfileName()

### setProfileName

    public void setProfileName(java.lang.String name)

### setProfileDescription

    public void setProfileDescription(java.lang.String desc)

### getProfileDescription

    public java.lang.String getProfileDescription()

### getProfileIsAutoConnect

    public boolean getProfileIsAutoConnect()

### getProfileProperties

    public abstract java.util.Properties getProfileProperties()

  Clients need provide implementation to get extra profile properties

  Returns:

### getParentProfile

    public java.lang.String getParentProfile()

  Clients may override this method to return the real parent profile

  Returns:

### setParentProfile

    public void setParentProfile(IConnectionProfile profile)

  Specified by:
    `setParentProfile` in interface `ICPWizard`

### addPages

    public void addPages()

### createPageControls

    public void createPageControls(Composite pageContainer)

### getContext

    public IContext getContext(java.lang.Object target)

### getContextChangeMask

    public int getContextChangeMask()

### getSearchExpression

    public java.lang.String getSearchExpression(java.lang.Object target)

### setSkipProfileNamePage

    public void setSkipProfileNamePage(boolean skippable)

### isProfileNamePageSkippable

    public boolean isProfileNamePageSkippable()

### delegatesTask

    public void delegatesTask(NewConnectionProfileWizard.IFinishTask task)

### getProfilePage

    public NewConnectionProfileWizardPage getProfilePage()

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.